<template>
  <div class="dibs--form--elem">
    <label :for="name">
      <span>{{ label }}</span>
      <div v-if="hint" class="dibs--form--input--hint">{{ hint }}</div>
    </label>
    <slot></slot>
  </div>
</template>
<script>
export default {
  props: {
    label: {
      type: [String],
      required: true,
    },
    hint: {
      type: [String],
      default: null,
    },
    name: {
      type: [String],
      default: null,
    },
  },
}
</script>
